Интроспекция токена (RFC 7662)
POST
/oauth/introspectПараметры заголовков
idempotency-key?string
Ключ идемпотентности для безопасного повтора запроса: 8–255 символов из набора A-Za-z0-9_.:+/=-, ответ кэшируется на 24 ч
Совпадение
^[A-Za-z0-9_.:+/=-]{8,255}$Длина
8 <= length <= 255Тело запроса
application/x-www-form-urlencoded
TypeScript-определения
Используйте тип request body в TypeScript.
Тело ответа
application/json
application/json
application/json
application/problem+json
curl -X POST "https://example.com/oauth/introspect" \ -H "Content-Type: application/x-www-form-urlencoded" \ -d 'token=string'{ "active": true, "aud": "string", "client_id": "string", "cnf": { "jkt": "string" }, "exp": 0, "iat": 0, "iss": "string", "jti": "string", "nbf": 0, "scope": "string", "sub": "string", "token_type": "string", "username": "string"}